# Configuration

All configurations are stored in `.YetAnotherToDoList.yaml`, either in the
current working directory or the users home directory.

You can also use a custom name & path by setting the `--config` flag followed by
the path to your file.

## Example

```yaml
database:
 sqlite3File: 'YetAnotherToDoList.sqlite3'
 secret: 'anAlphaNumericSecretKey123'
 initialAdmin:
  userName: 'anAdminUser'
  password: 'anAlphaNumericPassword123'

logging:
 logFile: 'YetAnotherToDoList.log'
 logUTC: false

server:
 portHTTP: 4242
 portHTTPS: 4241
 certFile: 'certFile.crt'
 keyFile: 'keyFile.key'
```

## Options

### database

#### sqlite3File

The path to the sqlite3 database. This can also be set using the `--sqlite3File`
flag.

#### secret

A secret string used as password pepper and for signing JWT. All passwords & JWT
will become invalid if you change/loose this.

#### initialAdmin

Only required for first start/database creation.

##### userName

The username for the initial admin user.

See [username](./server/auth/README.md#username) for requirement.

##### password

The password for the initial admin user.

See [password](./server/auth/README.md#password) for requirement.

### logging

#### logFile

The path to the log file. Defaults to stdout.

#### logUTC

A bool whether to use UTC or local time in the logs.

### server

#### portHTTP

The port to listen on for HTTP traffic. Must be between 0 and 65535. Defaults to
`4242`.

This can also be set using the `--portHTTP` or `-p` flag on the `server`
subcommand.

#### portHTTPS

The port to listen on for HTTPS traffic. Must be between 0 and 65535. Defaults
to `4241`. This can also be set using the `--portHTTPS` flag on the `server`
subcommand.

#### certFile

The path to the certificate file.

#### keyFile

The path to the key file matching the certificate file.
