//go:build dev
// +build dev

/*
YetAnotherToDoList
Copyright © 2023 gilex-dev gilex-dev@proton.me

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, version 3.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/
package server

import (
	"fmt"

	"github.com/99designs/gqlgen/graphql/playground"
	"github.com/go-chi/chi"
	"somepi.ddns.net/gitea/gilex-dev/YetAnotherToDoList/globals"
)

func handleDevTools(router *chi.Mux, portHTTP int, portHTTPS int) {
	router.Handle("/playground", playground.Handler("GraphQL playground", "/api"))
	url := "connect to "
	if portHTTP != -1 && portHTTPS != -1 {
		url += fmt.Sprintf("http://localhost:%v/ or https://localhost:%v/", portHTTP, portHTTPS)
	} else if portHTTP != -1 {
		url += fmt.Sprintf("http://localhost:%v/", portHTTP)
	} else if portHTTPS != -1 {
		url += fmt.Sprintf("https://localhost:%v/", portHTTPS)
	} else {
		return
	}
	globals.Logger.Println(url + " for GraphQL playground")
}
